Package: grails.compiler.ast

## [Java] Interface GrailsArtefactClassInjector

- grails.compiler.ast.ClassInjector

- All Superinterfaces:
    ClassInjector

      public interface GrailsArtefactClassInjector
      extends ClassInjector

  Interface specific to Grails artefacts that returns the artefact type.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `org.codehaus.groovy.ast.ClassNode[]` | `EMPTY_CLASS_ARRAY` |
    `org.codehaus.groovy.ast.expr.ArgumentListExpression` | `ZERO_ARGS` |
    `org.codehaus.groovy.ast.Parameter[]` | `ZERO_PARAMETERS` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface ClassInjector` | `PRIVATE_STATIC_MODIFIER`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String[]` | `getArtefactTypes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ClassInjector` | `performInjection, performInjection, performInjectionOnAnnotatedClass, shouldInject`

- - ### Field Detail

    - #### org.codehaus.groovy.ast.ClassNode[] EMPTY_CLASS_ARRAY

    - #### org.codehaus.groovy.ast.expr.ArgumentListExpression ZERO_ARGS

    - #### org.codehaus.groovy.ast.Parameter[] ZERO_PARAMETERS

  - ### Method Detail

    - #### public java.lang.String[] getArtefactTypes()